LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XShapes2 Interface Reference

Allows insertion of shapes at different positions. More...

`import"XShapes2.idl";`

## Public Member Functions
void | addTop ([in] com::sun::star::drawing::XShape xShape)
| Insert a new shape to the top of the stack. More...
void | addBottom ([in] com::sun::star::drawing::XShape xShape)
| Insert a new shape to the bottom of the stack. More...

## Detailed Description

Allows insertion of shapes at different positions.

Since
  LibreOffice 4.2

## Member Function Documentation

## ◆ addBottom()

void addBottom | ( | [in] com::sun::star::drawing::XShape | xShape | ) |

Insert a new shape to the bottom of the stack.

Parameters

  xShape | shape to be inserted.

Since
  LibreOffice 4.2

## ◆ addTop()

void addTop | ( | [in] com::sun::star::drawing::XShape | xShape | ) |

Insert a new shape to the top of the stack.

Parameters

  xShape | shape to be inserted.

Since
  LibreOffice 4.2

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/XShapes2.idl